<div class="filter-container">
  <div
    class="filter-text-side"
    (click)="toggleFilter()">
    <div
      [class]="
          isFilterActivated
            ? 'filter-text-container-active'
            : 'filter-text-container-not-active'
        "
      class="filter-text-container">
        <span
          aria-hidden="true"
          [class]="
            isFilterActivated
              ? 'filter-text-active'
              : 'filter-text-not-active'
          "
          class="fr-icon-warning-line"></span>
      <div
        class="filter-text"
        [class]="
            isFilterActivated
              ? 'filter-text-active'
              : 'filter-text-not-active'
          ">
        {{filterLabel}}
      </div>
    </div>
  </div>
  <div
    #filtersOverlayTrigger
    (click)="toggleFiltersOverlay()"
    class="filter-arrow-side">
    <infra-num-map-filter-arrow
      [isFilterActivated]="isFilterActivated"
      [isFilterSelected]="isFilterSelected">
    </infra-num-map-filter-arrow>
  </div>
  <div
    class="mobile-filter-arrow-side"
    (click)="openFiltersBox()">
    <infra-num-map-filter-arrow
      [isFilterActivated]="isFilterActivated"
      [isFilterSelected]="isFilterSelected">
    </infra-num-map-filter-arrow>
  </div>
</div>
